Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List customer group product variant prices

Returns a paginated list of product variant prices associated with a customer group.

GET/api/v1/{team_slug}/{app_slug}/customer-groups/{customer_group_id}/prices
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

customer_group_idstringrequired

Customer Group ID

Query parameters
pageinteger

Page number (default: 1)

per-pageinteger

Items per page (default: 20, max: 100)

Responses
200

List of prices

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPriceItem[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupProductVariantPriceItem
created_atstring
idstring
marketgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceMarket
Show properties
idstring
namestring
slugstring
price_amountinteger
product_variantgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CustomerGroupPriceVariantRef
Show properties
idstring
variant_namestring
updated_atstring
successboolean
totalinteger
total_pagesinteger
400

Invalid request

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
404

Customer group not found

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/customer-groups/string/prices' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "created_at": "string",
      "id": "string",
      "market": {
        "id": "string",
        "name": "string",
        "slug": "string"
      },
      "price_amount": 0,
      "product_variant": {
        "id": "string",
        "variant_name": "string"
      },
      "updated_at": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}